// python wrapper for vtkGDCMImageReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMImageReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGDCMImageReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGDCMImageReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMImageReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMImageReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMedicalImageReader2New
extern "C" { PyObject *PyVTKClass_vtkMedicalImageReader2New(const char *); }
#define DECLARED_PyVTKClass_vtkMedicalImageReader2New
#endif

static const char **PyvtkGDCMImageReader_Doc();


static PyObject *
PyvtkGDCMImageReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGDCMImageReader::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGDCMImageReader::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGDCMImageReader *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGDCMImageReader::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGDCMImageReader *tempr = vtkGDCMImageReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_CanReadFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanReadFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->CanReadFile(temp0) :
      op->vtkGDCMImageReader::CanReadFile(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileExtensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetFileExtensions() :
      op->vtkGDCMImageReader::GetFileExtensions());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDescriptiveName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetDescriptiveName() :
      op->vtkGDCMImageReader::GetDescriptiveName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetDirectionCosines(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDirectionCosines");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMatrix4x4 *tempr = (ap.IsBound() ?
      op->GetDirectionCosines() :
      op->vtkGDCMImageReader::GetDirectionCosines());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SetMedicalImageProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMedicalImageProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  vtkMedicalImageProperties *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMedicalImageProperties"))
    {
    if (ap.IsBound())
      {
      op->SetMedicalImageProperties(temp0);
      }
    else
      {
      op->vtkGDCMImageReader::SetMedicalImageProperties(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetLoadOverlays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadOverlays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetLoadOverlays() :
      op->vtkGDCMImageReader::GetLoadOverlays());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SetLoadOverlays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadOverlays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLoadOverlays(temp0);
      }
    else
      {
      op->vtkGDCMImageReader::SetLoadOverlays(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_LoadOverlaysOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadOverlaysOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadOverlaysOn();
      }
    else
      {
      op->vtkGDCMImageReader::LoadOverlaysOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_LoadOverlaysOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadOverlaysOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadOverlaysOff();
      }
    else
      {
      op->vtkGDCMImageReader::LoadOverlaysOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetLoadIconImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadIconImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetLoadIconImage() :
      op->vtkGDCMImageReader::GetLoadIconImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SetLoadIconImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadIconImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLoadIconImage(temp0);
      }
    else
      {
      op->vtkGDCMImageReader::SetLoadIconImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_LoadIconImageOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadIconImageOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadIconImageOn();
      }
    else
      {
      op->vtkGDCMImageReader::LoadIconImageOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_LoadIconImageOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadIconImageOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadIconImageOff();
      }
    else
      {
      op->vtkGDCMImageReader::LoadIconImageOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetLossyFlag(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLossyFlag");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetLossyFlag() :
      op->vtkGDCMImageReader::GetLossyFlag());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SetLossyFlag(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLossyFlag");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLossyFlag(temp0);
      }
    else
      {
      op->vtkGDCMImageReader::SetLossyFlag(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_LossyFlagOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LossyFlagOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LossyFlagOn();
      }
    else
      {
      op->vtkGDCMImageReader::LossyFlagOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_LossyFlagOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LossyFlagOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LossyFlagOff();
      }
    else
      {
      op->vtkGDCMImageReader::LossyFlagOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetNumberOfOverlays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfOverlays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfOverlays() :
      op->vtkGDCMImageReader::GetNumberOfOverlays());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetNumberOfIconImages(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfIconImages");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfIconImages() :
      op->vtkGDCMImageReader::GetNumberOfIconImages());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetOverlay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOverlay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkImageData *tempr = (ap.IsBound() ?
      op->GetOverlay(temp0) :
      op->vtkGDCMImageReader::GetOverlay(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetIconImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIconImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageData *tempr = (ap.IsBound() ?
      op->GetIconImage() :
      op->vtkGDCMImageReader::GetIconImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetApplyLookupTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetApplyLookupTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetApplyLookupTable() :
      op->vtkGDCMImageReader::GetApplyLookupTable());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SetApplyLookupTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetApplyLookupTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetApplyLookupTable(temp0);
      }
    else
      {
      op->vtkGDCMImageReader::SetApplyLookupTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_ApplyLookupTableOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyLookupTableOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ApplyLookupTableOn();
      }
    else
      {
      op->vtkGDCMImageReader::ApplyLookupTableOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_ApplyLookupTableOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyLookupTableOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ApplyLookupTableOff();
      }
    else
      {
      op->vtkGDCMImageReader::ApplyLookupTableOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetApplyYBRToRGB(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetApplyYBRToRGB");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetApplyYBRToRGB() :
      op->vtkGDCMImageReader::GetApplyYBRToRGB());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SetApplyYBRToRGB(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetApplyYBRToRGB");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetApplyYBRToRGB(temp0);
      }
    else
      {
      op->vtkGDCMImageReader::SetApplyYBRToRGB(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_ApplyYBRToRGBOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyYBRToRGBOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ApplyYBRToRGBOn();
      }
    else
      {
      op->vtkGDCMImageReader::ApplyYBRToRGBOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_ApplyYBRToRGBOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyYBRToRGBOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ApplyYBRToRGBOff();
      }
    else
      {
      op->vtkGDCMImageReader::ApplyYBRToRGBOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetImageFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImageFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetImageFormat() :
      op->vtkGDCMImageReader::GetImageFormat());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetPlanarConfiguration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPlanarConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetPlanarConfiguration() :
      op->vtkGDCMImageReader::GetPlanarConfiguration());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetImagePositionPatient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImagePositionPatient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double *tempr = (ap.IsBound() ?
      op->GetImagePositionPatient() :
      op->vtkGDCMImageReader::GetImagePositionPatient());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetImageOrientationPatient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImageOrientationPatient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  int sizer = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double *tempr = (ap.IsBound() ?
      op->GetImageOrientationPatient() :
      op->vtkGDCMImageReader::GetImageOrientationPatient());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetCurve(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurve");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPolyData *tempr = (ap.IsBound() ?
      op->GetCurve() :
      op->vtkGDCMImageReader::GetCurve());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_SetCurve(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCurve");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  vtkPolyData *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkPolyData"))
    {
    if (ap.IsBound())
      {
      op->SetCurve(temp0);
      }
    else
      {
      op->vtkGDCMImageReader::SetCurve(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetShift(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetShift");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetShift() :
      op->vtkGDCMImageReader::GetShift());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageReader_GetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageReader *op = static_cast<vtkGDCMImageReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetScale() :
      op->vtkGDCMImageReader::GetScale());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkGDCMImageReader_Methods[] = {
  {(char*)"GetClassName", PyvtkGDCMImageReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGDCMImageReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGDCMImageReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMImageReader\nC++: vtkGDCMImageReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGDCMImageReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMImageReader\nC++: vtkGDCMImageReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"CanReadFile", PyvtkGDCMImageReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile(const char *fname)\n\n\n"},
  {(char*)"GetFileExtensions", PyvtkGDCMImageReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions()\n\nValid extensions\n"},
  {(char*)"GetDescriptiveName", PyvtkGDCMImageReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName()\n\nA descriptive name for this format\n"},
  {(char*)"GetDirectionCosines", PyvtkGDCMImageReader_GetDirectionCosines, 1,
   (char*)"V.GetDirectionCosines() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetDirectionCosines()\n\nGet the Image Position (Patient) as stored in the DICOM file This\nis a read-only data member\n"},
  {(char*)"SetMedicalImageProperties", PyvtkGDCMImageReader_SetMedicalImageProperties, 1,
   (char*)"V.SetMedicalImageProperties(vtkMedicalImageProperties)\nC++: virtual void SetMedicalImageProperties(\n    vtkMedicalImageProperties *pd)\n\n"},
  {(char*)"GetLoadOverlays", PyvtkGDCMImageReader_GetLoadOverlays, 1,
   (char*)"V.GetLoadOverlays() -> int\nC++: int GetLoadOverlays()\n\nSpecifically request to load the overlay into the gdcm-VTK layer\n(gdcm always loads them when found). If no overlay is found in\nthe image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"SetLoadOverlays", PyvtkGDCMImageReader_SetLoadOverlays, 1,
   (char*)"V.SetLoadOverlays(int)\nC++: void SetLoadOverlays(int a)\n\nSpecifically request to load the overlay into the gdcm-VTK layer\n(gdcm always loads them when found). If no overlay is found in\nthe image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"LoadOverlaysOn", PyvtkGDCMImageReader_LoadOverlaysOn, 1,
   (char*)"V.LoadOverlaysOn()\nC++: void LoadOverlaysOn()\n\nSpecifically request to load the overlay into the gdcm-VTK layer\n(gdcm always loads them when found). If no overlay is found in\nthe image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"LoadOverlaysOff", PyvtkGDCMImageReader_LoadOverlaysOff, 1,
   (char*)"V.LoadOverlaysOff()\nC++: void LoadOverlaysOff()\n\nSpecifically request to load the overlay into the gdcm-VTK layer\n(gdcm always loads them when found). If no overlay is found in\nthe image, then the vtkImageData for the overlay will be empty.\n"},
  {(char*)"GetLoadIconImage", PyvtkGDCMImageReader_GetLoadIconImage, 1,
   (char*)"V.GetLoadIconImage() -> int\nC++: int GetLoadIconImage()\n\nSet/Get whether or not to load the Icon as vtkImageData (if found\nin the DICOM file)\n"},
  {(char*)"SetLoadIconImage", PyvtkGDCMImageReader_SetLoadIconImage, 1,
   (char*)"V.SetLoadIconImage(int)\nC++: void SetLoadIconImage(int a)\n\nSet/Get whether or not to load the Icon as vtkImageData (if found\nin the DICOM file)\n"},
  {(char*)"LoadIconImageOn", PyvtkGDCMImageReader_LoadIconImageOn, 1,
   (char*)"V.LoadIconImageOn()\nC++: void LoadIconImageOn()\n\nSet/Get whether or not to load the Icon as vtkImageData (if found\nin the DICOM file)\n"},
  {(char*)"LoadIconImageOff", PyvtkGDCMImageReader_LoadIconImageOff, 1,
   (char*)"V.LoadIconImageOff()\nC++: void LoadIconImageOff()\n\nSet/Get whether or not to load the Icon as vtkImageData (if found\nin the DICOM file)\n"},
  {(char*)"GetLossyFlag", PyvtkGDCMImageReader_GetLossyFlag, 1,
   (char*)"V.GetLossyFlag() -> int\nC++: int GetLossyFlag()\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"SetLossyFlag", PyvtkGDCMImageReader_SetLossyFlag, 1,
   (char*)"V.SetLossyFlag(int)\nC++: void SetLossyFlag(int a)\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"LossyFlagOn", PyvtkGDCMImageReader_LossyFlagOn, 1,
   (char*)"V.LossyFlagOn()\nC++: void LossyFlagOn()\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"LossyFlagOff", PyvtkGDCMImageReader_LossyFlagOff, 1,
   (char*)"V.LossyFlagOff()\nC++: void LossyFlagOff()\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"GetNumberOfOverlays", PyvtkGDCMImageReader_GetNumberOfOverlays, 1,
   (char*)"V.GetNumberOfOverlays() -> int\nC++: int GetNumberOfOverlays()\n\nRead only: number of overlays as found in this image (multiple\noverlays per slice is allowed) Only valid when LoadOverlays is\ntrue\n"},
  {(char*)"GetNumberOfIconImages", PyvtkGDCMImageReader_GetNumberOfIconImages, 1,
   (char*)"V.GetNumberOfIconImages() -> int\nC++: int GetNumberOfIconImages()\n\nRead only: number of icon image (there can only be zero or one\nicon per file) Only valid when LoadIconImage is true\n"},
  {(char*)"GetOverlay", PyvtkGDCMImageReader_GetOverlay, 1,
   (char*)"V.GetOverlay(int) -> vtkImageData\nC++: vtkImageData *GetOverlay(int i)\n\nGet Overlay/IconImage Remember to ALWAYS use those methods in\nyour code, as the internal number for the output port is not\ngarantee to remain the same, as features are added to the reader\nFIXME: Need to get rid of BTX/ETX if only the Python Wrapper of\nVTK 4.2 would let me\n"},
  {(char*)"GetIconImage", PyvtkGDCMImageReader_GetIconImage, 1,
   (char*)"V.GetIconImage() -> vtkImageData\nC++: vtkImageData *GetIconImage()\n\nGet Overlay/IconImage Remember to ALWAYS use those methods in\nyour code, as the internal number for the output port is not\ngarantee to remain the same, as features are added to the reader\nFIXME: Need to get rid of BTX/ETX if only the Python Wrapper of\nVTK 4.2 would let me\n"},
  {(char*)"GetApplyLookupTable", PyvtkGDCMImageReader_GetApplyLookupTable, 1,
   (char*)"V.GetApplyLookupTable() -> int\nC++: int GetApplyLookupTable()\n\nLoad image with its associated Lookup Table\n"},
  {(char*)"SetApplyLookupTable", PyvtkGDCMImageReader_SetApplyLookupTable, 1,
   (char*)"V.SetApplyLookupTable(int)\nC++: void SetApplyLookupTable(int a)\n\nLoad image with its associated Lookup Table\n"},
  {(char*)"ApplyLookupTableOn", PyvtkGDCMImageReader_ApplyLookupTableOn, 1,
   (char*)"V.ApplyLookupTableOn()\nC++: void ApplyLookupTableOn()\n\nLoad image with its associated Lookup Table\n"},
  {(char*)"ApplyLookupTableOff", PyvtkGDCMImageReader_ApplyLookupTableOff, 1,
   (char*)"V.ApplyLookupTableOff()\nC++: void ApplyLookupTableOff()\n\nLoad image with its associated Lookup Table\n"},
  {(char*)"GetApplyYBRToRGB", PyvtkGDCMImageReader_GetApplyYBRToRGB, 1,
   (char*)"V.GetApplyYBRToRGB() -> int\nC++: int GetApplyYBRToRGB()\n\nLoad image as YBR\n"},
  {(char*)"SetApplyYBRToRGB", PyvtkGDCMImageReader_SetApplyYBRToRGB, 1,
   (char*)"V.SetApplyYBRToRGB(int)\nC++: void SetApplyYBRToRGB(int a)\n\nLoad image as YBR\n"},
  {(char*)"ApplyYBRToRGBOn", PyvtkGDCMImageReader_ApplyYBRToRGBOn, 1,
   (char*)"V.ApplyYBRToRGBOn()\nC++: void ApplyYBRToRGBOn()\n\nLoad image as YBR\n"},
  {(char*)"ApplyYBRToRGBOff", PyvtkGDCMImageReader_ApplyYBRToRGBOff, 1,
   (char*)"V.ApplyYBRToRGBOff()\nC++: void ApplyYBRToRGBOff()\n\nLoad image as YBR\n"},
  {(char*)"GetImageFormat", PyvtkGDCMImageReader_GetImageFormat, 1,
   (char*)"V.GetImageFormat() -> int\nC++: int GetImageFormat()\n\nReturn VTK_LUMINANCE, VTK_INVERSE_LUMINANCE, VTK_RGB, VTK_RGBA,\nVTK_LOOKUP_TABLE, VTK_YBR or VTK_CMYK or 0 when ImageFormat is\nnot handled. Warning: For color image, PlanarConfiguration need\nto be taken into account.\n"},
  {(char*)"GetPlanarConfiguration", PyvtkGDCMImageReader_GetPlanarConfiguration, 1,
   (char*)"V.GetPlanarConfiguration() -> int\nC++: int GetPlanarConfiguration()\n\nReturn the Planar Configuration. This simply means that the\ninternal DICOM image was stored using a particular planar\nconfiguration (most of the time: 0) For monochrome image,\nPlanarConfiguration is always 0\n"},
  {(char*)"GetImagePositionPatient", PyvtkGDCMImageReader_GetImagePositionPatient, 1,
   (char*)"V.GetImagePositionPatient() -> (float, float, float)\nC++: double *GetImagePositionPatient()\n\n"},
  {(char*)"GetImageOrientationPatient", PyvtkGDCMImageReader_GetImageOrientationPatient, 1,
   (char*)"V.GetImageOrientationPatient() -> (float, float, float, float,\n    float, float)\nC++: double *GetImageOrientationPatient()\n\n"},
  {(char*)"GetCurve", PyvtkGDCMImageReader_GetCurve, 1,
   (char*)"V.GetCurve() -> vtkPolyData\nC++: vtkPolyData *GetCurve()\n\nSet/Get the first Curve Data:\n"},
  {(char*)"SetCurve", PyvtkGDCMImageReader_SetCurve, 1,
   (char*)"V.SetCurve(vtkPolyData)\nC++: virtual void SetCurve(vtkPolyData *pd)\n\nSet/Get the first Curve Data:\n"},
  {(char*)"GetShift", PyvtkGDCMImageReader_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift()\n\n\\DEPRECATED: Modality LUT Value returned by GetShift/GetScale\nmight be innacurate since Shift/Scale could be varying along the\nSeries read. Therefore user are advices not to use those\nfunctions anymore\n"},
  {(char*)"GetScale", PyvtkGDCMImageReader_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale()\n\n\\DEPRECATED: Modality LUT Value returned by GetShift/GetScale\nmight be innacurate since Shift/Scale could be varying along the\nSeries read. Therefore user are advices not to use those\nfunctions anymore\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGDCMImageReader_StaticNew()
{
  return vtkGDCMImageReader::New();
}

PyObject *PyVTKClass_vtkGDCMImageReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGDCMImageReader_StaticNew,
    PyvtkGDCMImageReader_Methods,
    "vtkGDCMImageReader", modulename,
    NULL, NULL,
    PyvtkGDCMImageReader_Doc(),
    PyVTKClass_vtkMedicalImageReader2New(modulename));
  return cls;
}

const char **PyvtkGDCMImageReader_Doc()
{
  static const char *docstring[] = {
    "vtkGDCMImageReader - read DICOM Image files (Pixel Data)\n\n",
    "Superclass: vtkMedicalImageReader2\n\n",
    "vtkGDCMImageReader is a source object that reads some DICOM files\nthis reader is single threaded.\n\nImplementation note: when FileLowerLeft is set to on the image is not flipped:\n\nupside down as VTK would expect, use this option only if you know\nwhat you are doing.\n\nImplementation note: when reading a series of 2D slices, user is:\n\nexpected to provide an ordered list of filenames. No sorting will b",
    "e\napplied afterward.\n\nImplementation note: Although 99% of the time the Zspacing as read:\n\nfrom a tag in a 2D DICOM file should be correct, there has been\nreports that this value can be missing, or incorrect, in which case\nusers are advised to override this value using the return value from\ngdcm::IPPSorter::GetZSpacing() and set it via\nvtkImageChangeInformation on the reader itself.\n\nTODO:\n\nThis r",
    "eader does not handle a series of 3D images, only a single 3D\n(multi frame) or a list of 2D files are supported for now.\n\nTODO:\n\nDid not implement SetFilePattern / SetFilePrefix API, move it to\nprotected section for now.\n\nBUG:\n\nOverlay are assumed to have the same extent as image. Right now if\noverlay origin is not 0,0 the overlay will have an offset... Only the\nvery first overlay is loaded at the",
    " VTK level, for now (even if there\nare more than one in the file)\n\nDataOrigin:\n\nWhen the reader is instanciated with FileLowerLeftOn the DataOrigin\nand Image Position (Patient) are identical. But when FileLowerLeft is\nOff, we have to reorder the Y-line of the image, and thus the\nDataOrigin is then translated to the other side of the image.\n\nSpacing:\n\nWhen reading a 3D volume, the spacing along the",
    " Z dimension might be\nnegative (so as to respect up-side-down) as specified in the Image\nOrientation (Patient) tag. When Z-spacing is 0, this means the\nmulti-frame object contains image which do not represent uniform\nvolume.\n\nWarning:\n\nWhen using vtkGDCMPolyDataReader in conjonction with\nvtkGDCMImageReader it is *required* that FileLowerLeft is set to ON\nas coordinate system would be inconsistant ",
    "in between the two data\nstructures.\n\nColor Space mapping:\n\n* VTK_LUMINANCE         <-> MONOCHROME2\n* VTK_LUMINANCE_ALPHA   <-> Not supported\n* VTK_RGB               <-> RGB\n* VTK_RGBA              <-> ARGB (deprecated, DICOM 2008)\n* VTK_INVERSE_LUMINANCE <-> MONOCHROME1\n* VTK_LOOKUP_TABLE      <-> PALETTE COLOR\n* VTK_YBR               <-> YBR_FULL\n\nFor detailed information on color space transform",
    "ation and true\nlossless transformation see:\nhttp://apps.sourceforge.net/mediawiki/gdcm/index.php?title=Color_Space\n_Transformations\n\nSee Also:\n\nvtkMedicalImageReader2 vtkMedicalImageProperties\nvtkGDCMPolyDataReader vtkGDCMImageWriter vtkDICOMImageReader\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGDCMImageReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGDCMImageReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGDCMImageReader", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(5);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_INVERSE_LUMINANCE", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(6);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_LOOKUP_TABLE", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(7);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_YBR", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(8);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_CMYK", o) != 0)
    {
    Py_DECREF(o);
    }

}

