// python wrapper for vtkGDCMImageWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMImageWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGDCMImageWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGDCMImageWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMImageWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMImageWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageWriterNew
extern "C" { PyObject *PyVTKClass_vtkImageWriterNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageWriterNew
#endif

static const char **PyvtkGDCMImageWriter_Doc();


static PyObject *
PyvtkGDCMImageWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGDCMImageWriter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGDCMImageWriter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGDCMImageWriter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGDCMImageWriter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGDCMImageWriter *tempr = vtkGDCMImageWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetMedicalImageProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMedicalImageProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMedicalImageProperties *tempr = (ap.IsBound() ?
      op->GetMedicalImageProperties() :
      op->vtkGDCMImageWriter::GetMedicalImageProperties());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetMedicalImageProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMedicalImageProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  vtkMedicalImageProperties *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMedicalImageProperties"))
    {
    if (ap.IsBound())
      {
      op->SetMedicalImageProperties(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetMedicalImageProperties(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetFileNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  vtkStringArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkStringArray"))
    {
    if (ap.IsBound())
      {
      op->SetFileNames(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetFileNames(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetFileNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetFileNames() :
      op->vtkGDCMImageWriter::GetFileNames());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetLossyFlag(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLossyFlag");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetLossyFlag() :
      op->vtkGDCMImageWriter::GetLossyFlag());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetLossyFlag(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLossyFlag");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLossyFlag(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetLossyFlag(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_LossyFlagOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LossyFlagOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LossyFlagOn();
      }
    else
      {
      op->vtkGDCMImageWriter::LossyFlagOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_LossyFlagOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LossyFlagOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LossyFlagOff();
      }
    else
      {
      op->vtkGDCMImageWriter::LossyFlagOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_Write(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Write");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Write();
      }
    else
      {
      op->vtkGDCMImageWriter::Write();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetFileExtensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileExtensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetFileExtensions() :
      op->vtkGDCMImageWriter::GetFileExtensions());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetDescriptiveName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDescriptiveName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetDescriptiveName() :
      op->vtkGDCMImageWriter::GetDescriptiveName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetDirectionCosines(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDirectionCosines");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  vtkMatrix4x4 *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMatrix4x4"))
    {
    if (ap.IsBound())
      {
      op->SetDirectionCosines(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetDirectionCosines(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetDirectionCosines(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDirectionCosines");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMatrix4x4 *tempr = (ap.IsBound() ?
      op->GetDirectionCosines() :
      op->vtkGDCMImageWriter::GetDirectionCosines());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetDirectionCosinesFromImageOrientationPatient(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDirectionCosinesFromImageOrientationPatient");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  double temp0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetDirectionCosinesFromImageOrientationPatient(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetDirectionCosinesFromImageOrientationPatient(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetShift(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShift");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShift(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetShift(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetShift(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetShift");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetShift() :
      op->vtkGDCMImageWriter::GetShift());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScale(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetScale(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetScale() :
      op->vtkGDCMImageWriter::GetScale());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetImageFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetImageFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetImageFormat() :
      op->vtkGDCMImageWriter::GetImageFormat());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetImageFormat(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetImageFormat");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetImageFormat(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetImageFormat(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_FileLowerLeftOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FileLowerLeftOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FileLowerLeftOn();
      }
    else
      {
      op->vtkGDCMImageWriter::FileLowerLeftOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_FileLowerLeftOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FileLowerLeftOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FileLowerLeftOff();
      }
    else
      {
      op->vtkGDCMImageWriter::FileLowerLeftOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetFileLowerLeft(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileLowerLeft");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFileLowerLeft() :
      op->vtkGDCMImageWriter::GetFileLowerLeft());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetFileLowerLeft(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileLowerLeft");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileLowerLeft(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetFileLowerLeft(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetPlanarConfiguration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPlanarConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPlanarConfiguration(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetPlanarConfiguration(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetPlanarConfiguration(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPlanarConfiguration");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetPlanarConfiguration() :
      op->vtkGDCMImageWriter::GetPlanarConfiguration());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetStudyUID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStudyUID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetStudyUID(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetStudyUID(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetStudyUID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStudyUID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetStudyUID() :
      op->vtkGDCMImageWriter::GetStudyUID());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetSeriesUID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSeriesUID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSeriesUID(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetSeriesUID(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetSeriesUID(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSeriesUID");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetSeriesUID() :
      op->vtkGDCMImageWriter::GetSeriesUID());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_SetCompressionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCompressionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCompressionType(temp0);
      }
    else
      {
      op->vtkGDCMImageWriter::SetCompressionType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMImageWriter_GetCompressionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCompressionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMImageWriter *op = static_cast<vtkGDCMImageWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetCompressionType() :
      op->vtkGDCMImageWriter::GetCompressionType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkGDCMImageWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkGDCMImageWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGDCMImageWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGDCMImageWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMImageWriter\nC++: vtkGDCMImageWriter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGDCMImageWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMImageWriter\nC++: vtkGDCMImageWriter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetMedicalImageProperties", PyvtkGDCMImageWriter_GetMedicalImageProperties, 1,
   (char*)"V.GetMedicalImageProperties() -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *GetMedicalImageProperties()\n\nPass in the vtkmedicalimageproperties object for medical\ninformation to be mapped to DICOM attributes.\n"},
  {(char*)"SetMedicalImageProperties", PyvtkGDCMImageWriter_SetMedicalImageProperties, 1,
   (char*)"V.SetMedicalImageProperties(vtkMedicalImageProperties)\nC++: virtual void SetMedicalImageProperties(\n    vtkMedicalImageProperties *)\n\nPass in the vtkmedicalimageproperties object for medical\ninformation to be mapped to DICOM attributes.\n"},
  {(char*)"SetFileNames", PyvtkGDCMImageWriter_SetFileNames, 1,
   (char*)"V.SetFileNames(vtkStringArray)\nC++: virtual void SetFileNames(vtkStringArray *)\n\nPass in the list of filename to be used to write out the DICOM\nfile(s)\n"},
  {(char*)"GetFileNames", PyvtkGDCMImageWriter_GetFileNames, 1,
   (char*)"V.GetFileNames() -> vtkStringArray\nC++: vtkStringArray *GetFileNames()\n\nPass in the list of filename to be used to write out the DICOM\nfile(s)\n"},
  {(char*)"GetLossyFlag", PyvtkGDCMImageWriter_GetLossyFlag, 1,
   (char*)"V.GetLossyFlag() -> int\nC++: int GetLossyFlag()\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"SetLossyFlag", PyvtkGDCMImageWriter_SetLossyFlag, 1,
   (char*)"V.SetLossyFlag(int)\nC++: void SetLossyFlag(int a)\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"LossyFlagOn", PyvtkGDCMImageWriter_LossyFlagOn, 1,
   (char*)"V.LossyFlagOn()\nC++: void LossyFlagOn()\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"LossyFlagOff", PyvtkGDCMImageWriter_LossyFlagOff, 1,
   (char*)"V.LossyFlagOff()\nC++: void LossyFlagOff()\n\nSet/Get whether or not the image was compressed using a lossy\ncompression algorithm\n"},
  {(char*)"Write", PyvtkGDCMImageWriter_Write, 1,
   (char*)"V.Write()\nC++: virtual void Write()\n\n"},
  {(char*)"GetFileExtensions", PyvtkGDCMImageWriter_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions()\n\nGet the entension for this file format.\n"},
  {(char*)"GetDescriptiveName", PyvtkGDCMImageWriter_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName()\n\nGet the name of this file format.\n"},
  {(char*)"SetDirectionCosines", PyvtkGDCMImageWriter_SetDirectionCosines, 1,
   (char*)"V.SetDirectionCosines(vtkMatrix4x4)\nC++: virtual void SetDirectionCosines(vtkMatrix4x4 *matrix)\n\nYou need to manually specify the direction the image is in to\nwrite a valid DICOM file since vtkImageData do not contains one\n(eg. MR Image Storage, CT Image Storage...)\n"},
  {(char*)"GetDirectionCosines", PyvtkGDCMImageWriter_GetDirectionCosines, 1,
   (char*)"V.GetDirectionCosines() -> vtkMatrix4x4\nC++: vtkMatrix4x4 *GetDirectionCosines()\n\nYou need to manually specify the direction the image is in to\nwrite a valid DICOM file since vtkImageData do not contains one\n(eg. MR Image Storage, CT Image Storage...)\n"},
  {(char*)"SetDirectionCosinesFromImageOrientationPatient", PyvtkGDCMImageWriter_SetDirectionCosinesFromImageOrientationPatient, 1,
   (char*)"V.SetDirectionCosinesFromImageOrientationPatient((float, float,\n    float, float, float, float))\nC++: virtual void SetDirectionCosinesFromImageOrientationPatient(\n    const double dircos[6])\n\nYou need to manually specify the direction the image is in to\nwrite a valid DICOM file since vtkImageData do not contains one\n(eg. MR Image Storage, CT Image Storage...)\n"},
  {(char*)"SetShift", PyvtkGDCMImageWriter_SetShift, 1,
   (char*)"V.SetShift(float)\nC++: void SetShift(double a)\n\nModality LUT\n"},
  {(char*)"GetShift", PyvtkGDCMImageWriter_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift()\n\nModality LUT\n"},
  {(char*)"SetScale", PyvtkGDCMImageWriter_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale(double a)\n\nModality LUT\n"},
  {(char*)"GetScale", PyvtkGDCMImageWriter_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale()\n\nModality LUT\n"},
  {(char*)"GetImageFormat", PyvtkGDCMImageWriter_GetImageFormat, 1,
   (char*)"V.GetImageFormat() -> int\nC++: int GetImageFormat()\n\nSee vtkGDCMImageReader for list of ImageFormat\n"},
  {(char*)"SetImageFormat", PyvtkGDCMImageWriter_SetImageFormat, 1,
   (char*)"V.SetImageFormat(int)\nC++: void SetImageFormat(int a)\n\nSee vtkGDCMImageReader for list of ImageFormat\n"},
  {(char*)"FileLowerLeftOn", PyvtkGDCMImageWriter_FileLowerLeftOn, 1,
   (char*)"V.FileLowerLeftOn()\nC++: void FileLowerLeftOn()\n\nSet/Get whether the data comes from the file starting in the\nlower left corner or upper left corner.\n"},
  {(char*)"FileLowerLeftOff", PyvtkGDCMImageWriter_FileLowerLeftOff, 1,
   (char*)"V.FileLowerLeftOff()\nC++: void FileLowerLeftOff()\n\nSet/Get whether the data comes from the file starting in the\nlower left corner or upper left corner.\n"},
  {(char*)"GetFileLowerLeft", PyvtkGDCMImageWriter_GetFileLowerLeft, 1,
   (char*)"V.GetFileLowerLeft() -> int\nC++: int GetFileLowerLeft()\n\nSet/Get whether the data comes from the file starting in the\nlower left corner or upper left corner.\n"},
  {(char*)"SetFileLowerLeft", PyvtkGDCMImageWriter_SetFileLowerLeft, 1,
   (char*)"V.SetFileLowerLeft(int)\nC++: void SetFileLowerLeft(int a)\n\nSet/Get whether the data comes from the file starting in the\nlower left corner or upper left corner.\n"},
  {(char*)"SetPlanarConfiguration", PyvtkGDCMImageWriter_SetPlanarConfiguration, 1,
   (char*)"V.SetPlanarConfiguration(int)\nC++: void SetPlanarConfiguration(int a)\n\nFor color image (more than a single comp) you can specify the\nplanar configuration you prefer\n"},
  {(char*)"GetPlanarConfiguration", PyvtkGDCMImageWriter_GetPlanarConfiguration, 1,
   (char*)"V.GetPlanarConfiguration() -> int\nC++: int GetPlanarConfiguration()\n\nFor color image (more than a single comp) you can specify the\nplanar configuration you prefer\n"},
  {(char*)"SetStudyUID", PyvtkGDCMImageWriter_SetStudyUID, 1,
   (char*)"V.SetStudyUID(string)\nC++: void SetStudyUID(char *)\n\nSet/Get specific StudyUID / SeriesUID\n"},
  {(char*)"GetStudyUID", PyvtkGDCMImageWriter_GetStudyUID, 1,
   (char*)"V.GetStudyUID() -> string\nC++: char *GetStudyUID()\n\nSet/Get specific StudyUID / SeriesUID\n"},
  {(char*)"SetSeriesUID", PyvtkGDCMImageWriter_SetSeriesUID, 1,
   (char*)"V.SetSeriesUID(string)\nC++: void SetSeriesUID(char *)\n\nSet/Get specific StudyUID / SeriesUID\n"},
  {(char*)"GetSeriesUID", PyvtkGDCMImageWriter_GetSeriesUID, 1,
   (char*)"V.GetSeriesUID() -> string\nC++: char *GetSeriesUID()\n\nSet/Get specific StudyUID / SeriesUID\n"},
  {(char*)"SetCompressionType", PyvtkGDCMImageWriter_SetCompressionType, 1,
   (char*)"V.SetCompressionType(int)\nC++: void SetCompressionType(int a)\n\n"},
  {(char*)"GetCompressionType", PyvtkGDCMImageWriter_GetCompressionType, 1,
   (char*)"V.GetCompressionType() -> int\nC++: int GetCompressionType()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGDCMImageWriter_StaticNew()
{
  return vtkGDCMImageWriter::New();
}

PyObject *PyVTKClass_vtkGDCMImageWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGDCMImageWriter_StaticNew,
    PyvtkGDCMImageWriter_Methods,
    "vtkGDCMImageWriter", modulename,
    NULL, NULL,
    PyvtkGDCMImageWriter_Doc(),
    PyVTKClass_vtkImageWriterNew(modulename));
  return cls;
}

const char **PyvtkGDCMImageWriter_Doc()
{
  static const char *docstring[] = {
    "vtkGDCMImageWriter - write DICOM files\n\n",
    "Superclass: vtkImageWriter\n\n",
    "vtkGDCMImageWriter is a sink object that write DICOM files this\nwriter is single threaded (see vtkGDCMThreadedImageReader2 for\nmulti-thread)\n\nWarning: vtkLookupTable from the vtkImageData object taken into account:\n\nonly if ImageFormat is set to VTK_LOOKUP_TABLE\n\nNOTE We are not using the usual API SetFilePrefix / SetFilePattern,:\n\nbut instead a list of filenames: see SetFileNames and class\ngdcm::",
    "FilenameGenerator\n\nWarning:\n\nYou need to specify the correct ImageFormat (taken from the reader)\nYou need to explicitely specify the DirectionCosines (taken from the\nreader) Since VTK 5.4 vtkMedicalImageProperties has its own\nDirectionCosine (no 's') user need to make sure the vtkMatrix4x4 is\ncompatible with the 6-vector DirectionCosine.\n\nNOTE Shift/Scale are global to all DICOM frames (=files) wr",
    "itten:\n\nas 2D slice, therefore the shift/scale operation might not be\noptimized for all slices. This is not recommended for image with a\nlarge dynamic range.\n\nSee Also:\n\nvtkImageWriter vtkMedicalImageProperties vtkGDCMImageReader\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGDCMImageWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGDCMImageWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGDCMImageWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

