// python wrapper for vtkGDCMMedicalImageProperties
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMMedicalImageProperties.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGDCMMedicalImageProperties(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGDCMMedicalImageProperties(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMMedicalImagePropertiesNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMMedicalImagePropertiesNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMedicalImagePropertiesNew
extern "C" { PyObject *PyVTKClass_vtkMedicalImagePropertiesNew(const char *); }
#define DECLARED_PyVTKClass_vtkMedicalImagePropertiesNew
#endif

static const char **PyvtkGDCMMedicalImageProperties_Doc();


static PyObject *
PyvtkGDCMMedicalImageProperties_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMMedicalImageProperties *op = static_cast<vtkGDCMMedicalImageProperties *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGDCMMedicalImageProperties::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMMedicalImageProperties_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMMedicalImageProperties *op = static_cast<vtkGDCMMedicalImageProperties *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGDCMMedicalImageProperties::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMMedicalImageProperties_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMMedicalImageProperties *op = static_cast<vtkGDCMMedicalImageProperties *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGDCMMedicalImageProperties *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGDCMMedicalImageProperties::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMMedicalImageProperties_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGDCMMedicalImageProperties *tempr = vtkGDCMMedicalImageProperties::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMMedicalImageProperties_Clear(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Clear");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMMedicalImageProperties *op = static_cast<vtkGDCMMedicalImageProperties *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Clear();
      }
    else
      {
      op->vtkGDCMMedicalImageProperties::Clear();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkGDCMMedicalImageProperties_Methods[] = {
  {(char*)"GetClassName", PyvtkGDCMMedicalImageProperties_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGDCMMedicalImageProperties_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGDCMMedicalImageProperties_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMMedicalImageProperties\nC++: vtkGDCMMedicalImageProperties *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGDCMMedicalImageProperties_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMMedicalImageProperties\nC++: vtkGDCMMedicalImageProperties *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Clear", PyvtkGDCMMedicalImageProperties_Clear, 1,
   (char*)"V.Clear()\nC++: virtual void Clear()\n\nConvenience method to reset all fields to an emptry string/value\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGDCMMedicalImageProperties_StaticNew()
{
  return vtkGDCMMedicalImageProperties::New();
}

PyObject *PyVTKClass_vtkGDCMMedicalImagePropertiesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGDCMMedicalImageProperties_StaticNew,
    PyvtkGDCMMedicalImageProperties_Methods,
    "vtkGDCMMedicalImageProperties", modulename,
    NULL, NULL,
    PyvtkGDCMMedicalImageProperties_Doc(),
    PyVTKClass_vtkMedicalImagePropertiesNew(modulename));
  return cls;
}

const char **PyvtkGDCMMedicalImageProperties_Doc()
{
  static const char *docstring[] = {
    "vtkGDCMMedicalImageProperties - some medical image properties.\n\n",
    "Superclass: vtkMedicalImageProperties\n\n",
    "vtkGDCMMedicalImageProperties is a helper class that can be used by\nmedical image readers and applications to encapsulate medical\nimage/acquisition properties. Later on, this should probably be\nextended to add any user-defined property.\n\nSee Also:\n\nvtkMedicalImageReader2\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGDCMMedicalImageProperties(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGDCMMedicalImagePropertiesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGDCMMedicalImageProperties", o) != 0)
    {
    Py_DECREF(o);
    }

}

