// python wrapper for vtkGDCMPolyDataReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMPolyDataReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGDCMPolyDataReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGDCMPolyDataReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMPolyDataReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMPolyDataReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPolyDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPolyDataAlgorithmNew
#endif

static const char **PyvtkGDCMPolyDataReader_Doc();


static PyObject *
PyvtkGDCMPolyDataReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataReader *op = static_cast<vtkGDCMPolyDataReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGDCMPolyDataReader::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataReader *op = static_cast<vtkGDCMPolyDataReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGDCMPolyDataReader::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataReader *op = static_cast<vtkGDCMPolyDataReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGDCMPolyDataReader *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGDCMPolyDataReader::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGDCMPolyDataReader *tempr = vtkGDCMPolyDataReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataReader_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataReader *op = static_cast<vtkGDCMPolyDataReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkGDCMPolyDataReader::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataReader_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataReader *op = static_cast<vtkGDCMPolyDataReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetFileName() :
      op->vtkGDCMPolyDataReader::GetFileName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataReader_GetMedicalImageProperties(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMedicalImageProperties");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataReader *op = static_cast<vtkGDCMPolyDataReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMedicalImageProperties *tempr = (ap.IsBound() ?
      op->GetMedicalImageProperties() :
      op->vtkGDCMPolyDataReader::GetMedicalImageProperties());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkGDCMPolyDataReader_Methods[] = {
  {(char*)"GetClassName", PyvtkGDCMPolyDataReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGDCMPolyDataReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGDCMPolyDataReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMPolyDataReader\nC++: vtkGDCMPolyDataReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGDCMPolyDataReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMPolyDataReader\nC++: vtkGDCMPolyDataReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetFileName", PyvtkGDCMPolyDataReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(char *)\n\nSet/Get the filename of the file to be read\n"},
  {(char*)"GetFileName", PyvtkGDCMPolyDataReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName()\n\nSet/Get the filename of the file to be read\n"},
  {(char*)"GetMedicalImageProperties", PyvtkGDCMPolyDataReader_GetMedicalImageProperties, 1,
   (char*)"V.GetMedicalImageProperties() -> vtkMedicalImageProperties\nC++: vtkMedicalImageProperties *GetMedicalImageProperties()\n\nGet the medical image properties object\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGDCMPolyDataReader_StaticNew()
{
  return vtkGDCMPolyDataReader::New();
}

PyObject *PyVTKClass_vtkGDCMPolyDataReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGDCMPolyDataReader_StaticNew,
    PyvtkGDCMPolyDataReader_Methods,
    "vtkGDCMPolyDataReader", modulename,
    NULL, NULL,
    PyvtkGDCMPolyDataReader_Doc(),
    PyVTKClass_vtkPolyDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkGDCMPolyDataReader_Doc()
{
  static const char *docstring[] = {
    "vtkGDCMPolyDataReader - read DICOM PolyData files (Contour Data...)\n\n",
    "Superclass: vtkPolyDataAlgorithm\n\n",
    "For now only support RTSTRUCT (RT Structure Set Storage)\n\nTODO:\n\nNeed to do the same job for DVH Sequence/DVH Data...\n\nWarning:\n\nWhen using vtkGDCMPolyDataReader in conjonction with\nvtkGDCMImageReader it is *required* that FileLowerLeft is set to ON\nas coordinate system would be inconsistant in between the two data\nstructures.\n\nSee Also:\n\nvtkGDCMImageReader vtkMedicalImageReader2 vtkMedicalImagePr",
    "operties\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGDCMPolyDataReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGDCMPolyDataReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGDCMPolyDataReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

