// python wrapper for vtkGDCMPolyDataWriter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMPolyDataWriter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGDCMPolyDataWriter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGDCMPolyDataWriter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMPolyDataWriterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMPolyDataWriterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPolyDataWriterNew
extern "C" { PyObject *PyVTKClass_vtkPolyDataWriterNew(const char *); }
#define DECLARED_PyVTKClass_vtkPolyDataWriterNew
#endif

static const char **PyvtkGDCMPolyDataWriter_Doc();


static PyObject *
PyvtkGDCMPolyDataWriter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataWriter *op = static_cast<vtkGDCMPolyDataWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGDCMPolyDataWriter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataWriter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataWriter *op = static_cast<vtkGDCMPolyDataWriter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGDCMPolyDataWriter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataWriter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMPolyDataWriter *op = static_cast<vtkGDCMPolyDataWriter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGDCMPolyDataWriter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGDCMPolyDataWriter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMPolyDataWriter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGDCMPolyDataWriter *tempr = vtkGDCMPolyDataWriter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkGDCMPolyDataWriter_Methods[] = {
  {(char*)"GetClassName", PyvtkGDCMPolyDataWriter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGDCMPolyDataWriter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGDCMPolyDataWriter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMPolyDataWriter\nC++: vtkGDCMPolyDataWriter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGDCMPolyDataWriter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMPolyDataWriter\nC++: vtkGDCMPolyDataWriter *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGDCMPolyDataWriter_StaticNew()
{
  return vtkGDCMPolyDataWriter::New();
}

PyObject *PyVTKClass_vtkGDCMPolyDataWriterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGDCMPolyDataWriter_StaticNew,
    PyvtkGDCMPolyDataWriter_Methods,
    "vtkGDCMPolyDataWriter", modulename,
    NULL, NULL,
    PyvtkGDCMPolyDataWriter_Doc(),
    PyVTKClass_vtkPolyDataWriterNew(modulename));
  return cls;
}

const char **PyvtkGDCMPolyDataWriter_Doc()
{
  static const char *docstring[] = {
    "vtkGDCMPolyDataWriter - writer DICOM PolyData files (Contour Data...)\n\n",
    "Superclass: vtkPolyDataWriter\n\n",
    "For now only support RTSTRUCT (RT Structure Set Storage)\n\nTODO:\n\nNeed to do the same job for DVH Sequence/DVH Data...\n\nWarning:\n\nSee Also:\n\nvtkGDCMImageReader vtkMedicalImageReader2 vtkMedicalImageProperties\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGDCMPolyDataWriter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGDCMPolyDataWriterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGDCMPolyDataWriter", o) != 0)
    {
    Py_DECREF(o);
    }

}

