// python wrapper for vtkGDCMTesting
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMTesting.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGDCMTesting(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGDCMTesting(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMTestingNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMTestingNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkGDCMTesting_Doc();


static PyObject *
PyvtkGDCMTesting_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMTesting *op = static_cast<vtkGDCMTesting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGDCMTesting::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMTesting *op = static_cast<vtkGDCMTesting *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGDCMTesting::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMTesting *op = static_cast<vtkGDCMTesting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGDCMTesting *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGDCMTesting::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGDCMTesting *tempr = vtkGDCMTesting::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_GetVTKDataRoot(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetVTKDataRoot");

  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    const char *tempr = vtkGDCMTesting::GetVTKDataRoot();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_GetGDCMDataRoot(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetGDCMDataRoot");

  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    const char *tempr = vtkGDCMTesting::GetGDCMDataRoot();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_GetNumberOfMD5MetaImages(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetNumberOfMD5MetaImages");

  PyObject *result = NULL;

  if (ap.CheckArgCount(0))
    {
    unsigned int tempr = vtkGDCMTesting::GetNumberOfMD5MetaImages();

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_GetMHDMD5FromFile(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetMHDMD5FromFile");

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    const char *tempr = vtkGDCMTesting::GetMHDMD5FromFile(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMTesting_GetRAWMD5FromFile(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "GetRAWMD5FromFile");

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    const char *tempr = vtkGDCMTesting::GetRAWMD5FromFile(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkGDCMTesting_Methods[] = {
  {(char*)"GetClassName", PyvtkGDCMTesting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGDCMTesting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGDCMTesting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMTesting\nC++: vtkGDCMTesting *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGDCMTesting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMTesting\nC++: vtkGDCMTesting *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetVTKDataRoot", PyvtkGDCMTesting_GetVTKDataRoot, 1,
   (char*)"V.GetVTKDataRoot() -> string\nC++: static const char *GetVTKDataRoot()\n\n"},
  {(char*)"GetGDCMDataRoot", PyvtkGDCMTesting_GetGDCMDataRoot, 1,
   (char*)"V.GetGDCMDataRoot() -> string\nC++: static const char *GetGDCMDataRoot()\n\n"},
  {(char*)"GetNumberOfMD5MetaImages", PyvtkGDCMTesting_GetNumberOfMD5MetaImages, 1,
   (char*)"V.GetNumberOfMD5MetaImages() -> int\nC++: static unsigned int GetNumberOfMD5MetaImages()\n\n"},
  {(char*)"GetMHDMD5FromFile", PyvtkGDCMTesting_GetMHDMD5FromFile, 1,
   (char*)"V.GetMHDMD5FromFile(string) -> string\nC++: static const char *GetMHDMD5FromFile(const char *filepath)\n\n"},
  {(char*)"GetRAWMD5FromFile", PyvtkGDCMTesting_GetRAWMD5FromFile, 1,
   (char*)"V.GetRAWMD5FromFile(string) -> string\nC++: static const char *GetRAWMD5FromFile(const char *filepath)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGDCMTesting_StaticNew()
{
  return vtkGDCMTesting::New();
}

PyObject *PyVTKClass_vtkGDCMTestingNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGDCMTesting_StaticNew,
    PyvtkGDCMTesting_Methods,
    "vtkGDCMTesting", modulename,
    NULL, NULL,
    PyvtkGDCMTesting_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkGDCMTesting_Doc()
{
  static const char *docstring[] = {
    "vtkGDCMTesting - GDCM Testing\n\n",
    "Superclass: vtkObject\n\n",
    "GDCM Testing\n\nSee Also:\n\nvtkTesting\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGDCMTesting(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGDCMTestingNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGDCMTesting", o) != 0)
    {
    Py_DECREF(o);
    }

}

