// python wrapper for vtkGDCMThreadedImageReader2
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkGDCMThreadedImageReader2.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkGDCMThreadedImageReader2(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkGDCMThreadedImageReader2(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkGDCMThreadedImageReader2New(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkGDCMThreadedImageReader2New(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkGDCMThreadedImageReader2_Doc();


static PyObject *
PyvtkGDCMThreadedImageReader2_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkGDCMThreadedImageReader2::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGDCMThreadedImageReader2::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkGDCMThreadedImageReader2 *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGDCMThreadedImageReader2::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkGDCMThreadedImageReader2 *tempr = vtkGDCMThreadedImageReader2::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetFileLowerLeft(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileLowerLeft");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFileLowerLeft() :
      op->vtkGDCMThreadedImageReader2::GetFileLowerLeft());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetFileLowerLeft(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileLowerLeft");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileLowerLeft(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetFileLowerLeft(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_FileLowerLeftOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FileLowerLeftOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FileLowerLeftOn();
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::FileLowerLeftOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_FileLowerLeftOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "FileLowerLeftOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->FileLowerLeftOff();
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::FileLowerLeftOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetNumberOfOverlays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfOverlays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfOverlays() :
      op->vtkGDCMThreadedImageReader2::GetNumberOfOverlays());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataScalarType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataScalarType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDataScalarType(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetDataScalarType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetDataScalarType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataScalarType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetDataScalarType() :
      op->vtkGDCMThreadedImageReader2::GetDataScalarType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfScalarComponents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfScalarComponents(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetNumberOfScalarComponents(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetNumberOfScalarComponents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfScalarComponents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfScalarComponents() :
      op->vtkGDCMThreadedImageReader2::GetNumberOfScalarComponents());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetLoadOverlays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLoadOverlays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetLoadOverlays() :
      op->vtkGDCMThreadedImageReader2::GetLoadOverlays());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetLoadOverlays(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLoadOverlays");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLoadOverlays(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetLoadOverlays(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_LoadOverlaysOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadOverlaysOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadOverlaysOn();
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::LoadOverlaysOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_LoadOverlaysOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LoadOverlaysOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LoadOverlaysOff();
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::LoadOverlaysOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataExtent_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  int temp4;
  int temp5;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      op->SetDataExtent(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetDataExtent(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataExtent_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0[6];
  const int size0 = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetDataExtent(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetDataExtent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataExtent(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 6:
      return PyvtkGDCMThreadedImageReader2_SetDataExtent_s1(self, args);
    case 1:
      return PyvtkGDCMThreadedImageReader2_SetDataExtent_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetDataExtent");
  return NULL;
}



static PyObject *
PyvtkGDCMThreadedImageReader2_GetDataExtent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int sizer = 6;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int *tempr = (ap.IsBound() ?
      op->GetDataExtent() :
      op->vtkGDCMThreadedImageReader2::GetDataExtent());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataOrigin_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataOrigin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetDataOrigin(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetDataOrigin(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataOrigin_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataOrigin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetDataOrigin(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetDataOrigin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataOrigin(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkGDCMThreadedImageReader2_SetDataOrigin_s1(self, args);
    case 1:
      return PyvtkGDCMThreadedImageReader2_SetDataOrigin_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetDataOrigin");
  return NULL;
}



static PyObject *
PyvtkGDCMThreadedImageReader2_GetDataOrigin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataOrigin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double *tempr = (ap.IsBound() ?
      op->GetDataOrigin() :
      op->vtkGDCMThreadedImageReader2::GetDataOrigin());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataSpacing_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  double temp0;
  double temp1;
  double temp2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    if (ap.IsBound())
      {
      op->SetDataSpacing(temp0, temp1, temp2);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetDataSpacing(temp0, temp1, temp2);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataSpacing_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  double temp0[3];
  const int size0 = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetArray(temp0, size0))
    {
    if (ap.IsBound())
      {
      op->SetDataSpacing(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetDataSpacing(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkGDCMThreadedImageReader2_SetDataSpacing(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return PyvtkGDCMThreadedImageReader2_SetDataSpacing_s1(self, args);
    case 1:
      return PyvtkGDCMThreadedImageReader2_SetDataSpacing_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetDataSpacing");
  return NULL;
}



static PyObject *
PyvtkGDCMThreadedImageReader2_GetDataSpacing(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double *tempr = (ap.IsBound() ?
      op->GetDataSpacing() :
      op->vtkGDCMThreadedImageReader2::GetDataSpacing());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0 = 0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0, 1) &&
      (ap.NoArgsLeft() || ap.GetValue(temp0)))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetFileName(temp0) :
      op->vtkGDCMThreadedImageReader2::GetFileName(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetFileNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  vtkStringArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkStringArray"))
    {
    if (ap.IsBound())
      {
      op->SetFileNames(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetFileNames(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetFileNames(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileNames");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkStringArray *tempr = (ap.IsBound() ?
      op->GetFileNames() :
      op->vtkGDCMThreadedImageReader2::GetFileNames());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SplitExtent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SplitExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0[6];
  int save0[6];
  const int size0 = 6;
  int temp1[6];
  int save1[6];
  const int size1 = 6;
  int temp2;
  int temp3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetArray(temp0, size0) &&
      ap.GetArray(temp1, size1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    ap.SaveArray(temp0, save0, size0);
    ap.SaveArray(temp1, save1, size1);

    int tempr = (ap.IsBound() ?
      op->SplitExtent(temp0, temp1, temp2, temp3) :
      op->vtkGDCMThreadedImageReader2::SplitExtent(temp0, temp1, temp2, temp3));

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetShift(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShift");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShift(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetShift(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetShift(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetShift");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetShift() :
      op->vtkGDCMThreadedImageReader2::GetShift());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetScale(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetScale(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetScale() :
      op->vtkGDCMThreadedImageReader2::GetScale());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_SetUseShiftScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUseShiftScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUseShiftScale(temp0);
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::SetUseShiftScale(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_GetUseShiftScale(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUseShiftScale");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetUseShiftScale() :
      op->vtkGDCMThreadedImageReader2::GetUseShiftScale());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_UseShiftScaleOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseShiftScaleOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseShiftScaleOn();
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::UseShiftScaleOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkGDCMThreadedImageReader2_UseShiftScaleOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "UseShiftScaleOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGDCMThreadedImageReader2 *op = static_cast<vtkGDCMThreadedImageReader2 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->UseShiftScaleOff();
      }
    else
      {
      op->vtkGDCMThreadedImageReader2::UseShiftScaleOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkGDCMThreadedImageReader2_Methods[] = {
  {(char*)"GetClassName", PyvtkGDCMThreadedImageReader2_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkGDCMThreadedImageReader2_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkGDCMThreadedImageReader2_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkGDCMThreadedImageReader2\nC++: vtkGDCMThreadedImageReader2 *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkGDCMThreadedImageReader2_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkGDCMThreadedImageReader2\nC++: vtkGDCMThreadedImageReader2 *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetFileLowerLeft", PyvtkGDCMThreadedImageReader2_GetFileLowerLeft, 1,
   (char*)"V.GetFileLowerLeft() -> int\nC++: int GetFileLowerLeft()\n\n"},
  {(char*)"SetFileLowerLeft", PyvtkGDCMThreadedImageReader2_SetFileLowerLeft, 1,
   (char*)"V.SetFileLowerLeft(int)\nC++: void SetFileLowerLeft(int a)\n\n"},
  {(char*)"FileLowerLeftOn", PyvtkGDCMThreadedImageReader2_FileLowerLeftOn, 1,
   (char*)"V.FileLowerLeftOn()\nC++: void FileLowerLeftOn()\n\n"},
  {(char*)"FileLowerLeftOff", PyvtkGDCMThreadedImageReader2_FileLowerLeftOff, 1,
   (char*)"V.FileLowerLeftOff()\nC++: void FileLowerLeftOff()\n\n"},
  {(char*)"GetNumberOfOverlays", PyvtkGDCMThreadedImageReader2_GetNumberOfOverlays, 1,
   (char*)"V.GetNumberOfOverlays() -> int\nC++: int GetNumberOfOverlays()\n\n"},
  {(char*)"SetDataScalarType", PyvtkGDCMThreadedImageReader2_SetDataScalarType, 1,
   (char*)"V.SetDataScalarType(int)\nC++: void SetDataScalarType(int a)\n\n"},
  {(char*)"GetDataScalarType", PyvtkGDCMThreadedImageReader2_GetDataScalarType, 1,
   (char*)"V.GetDataScalarType() -> int\nC++: int GetDataScalarType()\n\n"},
  {(char*)"SetNumberOfScalarComponents", PyvtkGDCMThreadedImageReader2_SetNumberOfScalarComponents, 1,
   (char*)"V.SetNumberOfScalarComponents(int)\nC++: void SetNumberOfScalarComponents(int a)\n\n"},
  {(char*)"GetNumberOfScalarComponents", PyvtkGDCMThreadedImageReader2_GetNumberOfScalarComponents, 1,
   (char*)"V.GetNumberOfScalarComponents() -> int\nC++: int GetNumberOfScalarComponents()\n\n"},
  {(char*)"GetLoadOverlays", PyvtkGDCMThreadedImageReader2_GetLoadOverlays, 1,
   (char*)"V.GetLoadOverlays() -> int\nC++: int GetLoadOverlays()\n\n"},
  {(char*)"SetLoadOverlays", PyvtkGDCMThreadedImageReader2_SetLoadOverlays, 1,
   (char*)"V.SetLoadOverlays(int)\nC++: void SetLoadOverlays(int a)\n\n"},
  {(char*)"LoadOverlaysOn", PyvtkGDCMThreadedImageReader2_LoadOverlaysOn, 1,
   (char*)"V.LoadOverlaysOn()\nC++: void LoadOverlaysOn()\n\n"},
  {(char*)"LoadOverlaysOff", PyvtkGDCMThreadedImageReader2_LoadOverlaysOff, 1,
   (char*)"V.LoadOverlaysOff()\nC++: void LoadOverlaysOff()\n\n"},
  {(char*)"SetDataExtent", PyvtkGDCMThreadedImageReader2_SetDataExtent, 1,
   (char*)"V.SetDataExtent(int, int, int, int, int, int)\nC++: void SetDataExtent(int, int, int, int, int, int)\nV.SetDataExtent((int, int, int, int, int, int))\nC++: void SetDataExtent(int a[6])\n\n"},
  {(char*)"GetDataExtent", PyvtkGDCMThreadedImageReader2_GetDataExtent, 1,
   (char*)"V.GetDataExtent() -> (int, int, int, int, int, int)\nC++: int *GetDataExtent()\n\n"},
  {(char*)"SetDataOrigin", PyvtkGDCMThreadedImageReader2_SetDataOrigin, 1,
   (char*)"V.SetDataOrigin(float, float, float)\nC++: void SetDataOrigin(double, double, double)\nV.SetDataOrigin((float, float, float))\nC++: void SetDataOrigin(double a[3])\n\n"},
  {(char*)"GetDataOrigin", PyvtkGDCMThreadedImageReader2_GetDataOrigin, 1,
   (char*)"V.GetDataOrigin() -> (float, float, float)\nC++: double *GetDataOrigin()\n\n"},
  {(char*)"SetDataSpacing", PyvtkGDCMThreadedImageReader2_SetDataSpacing, 1,
   (char*)"V.SetDataSpacing(float, float, float)\nC++: void SetDataSpacing(double, double, double)\nV.SetDataSpacing((float, float, float))\nC++: void SetDataSpacing(double a[3])\n\n"},
  {(char*)"GetDataSpacing", PyvtkGDCMThreadedImageReader2_GetDataSpacing, 1,
   (char*)"V.GetDataSpacing() -> (float, float, float)\nC++: double *GetDataSpacing()\n\n"},
  {(char*)"GetFileName", PyvtkGDCMThreadedImageReader2_GetFileName, 1,
   (char*)"V.GetFileName(int) -> string\nC++: virtual const char *GetFileName(int i=0)\n\n"},
  {(char*)"SetFileName", PyvtkGDCMThreadedImageReader2_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName(const char *filename)\n\n"},
  {(char*)"SetFileNames", PyvtkGDCMThreadedImageReader2_SetFileNames, 1,
   (char*)"V.SetFileNames(vtkStringArray)\nC++: virtual void SetFileNames(vtkStringArray *)\n\n"},
  {(char*)"GetFileNames", PyvtkGDCMThreadedImageReader2_GetFileNames, 1,
   (char*)"V.GetFileNames() -> vtkStringArray\nC++: vtkStringArray *GetFileNames()\n\n"},
  {(char*)"SplitExtent", PyvtkGDCMThreadedImageReader2_SplitExtent, 1,
   (char*)"V.SplitExtent([int, int, int, int, int, int], [int, int, int, int,\n     int, int], int, int) -> int\nC++: int SplitExtent(int splitExt[6], int startExt[6], int num,\n    int total)\n\n"},
  {(char*)"SetShift", PyvtkGDCMThreadedImageReader2_SetShift, 1,
   (char*)"V.SetShift(float)\nC++: void SetShift(double a)\n\nExplicitely set the Rescale Intercept (0028,1052)\n"},
  {(char*)"GetShift", PyvtkGDCMThreadedImageReader2_GetShift, 1,
   (char*)"V.GetShift() -> float\nC++: double GetShift()\n\nExplicitely set the Rescale Intercept (0028,1052)\n"},
  {(char*)"SetScale", PyvtkGDCMThreadedImageReader2_SetScale, 1,
   (char*)"V.SetScale(float)\nC++: void SetScale(double a)\n\nExplicitely get/set the Rescale Slope (0028,1053)\n"},
  {(char*)"GetScale", PyvtkGDCMThreadedImageReader2_GetScale, 1,
   (char*)"V.GetScale() -> float\nC++: double GetScale()\n\nExplicitely get/set the Rescale Slope (0028,1053)\n"},
  {(char*)"SetUseShiftScale", PyvtkGDCMThreadedImageReader2_SetUseShiftScale, 1,
   (char*)"V.SetUseShiftScale(int)\nC++: void SetUseShiftScale(int a)\n\nDetermine whether or not reader should use value from Shift/Scale\nDefault is 1\n"},
  {(char*)"GetUseShiftScale", PyvtkGDCMThreadedImageReader2_GetUseShiftScale, 1,
   (char*)"V.GetUseShiftScale() -> int\nC++: int GetUseShiftScale()\n\nDetermine whether or not reader should use value from Shift/Scale\nDefault is 1\n"},
  {(char*)"UseShiftScaleOn", PyvtkGDCMThreadedImageReader2_UseShiftScaleOn, 1,
   (char*)"V.UseShiftScaleOn()\nC++: void UseShiftScaleOn()\n\nDetermine whether or not reader should use value from Shift/Scale\nDefault is 1\n"},
  {(char*)"UseShiftScaleOff", PyvtkGDCMThreadedImageReader2_UseShiftScaleOff, 1,
   (char*)"V.UseShiftScaleOff()\nC++: void UseShiftScaleOff()\n\nDetermine whether or not reader should use value from Shift/Scale\nDefault is 1\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkGDCMThreadedImageReader2_StaticNew()
{
  return vtkGDCMThreadedImageReader2::New();
}

PyObject *PyVTKClass_vtkGDCMThreadedImageReader2New(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkGDCMThreadedImageReader2_StaticNew,
    PyvtkGDCMThreadedImageReader2_Methods,
    "vtkGDCMThreadedImageReader2", modulename,
    NULL, NULL,
    PyvtkGDCMThreadedImageReader2_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkGDCMThreadedImageReader2_Doc()
{
  static const char *docstring[] = {
    "vtkGDCMThreadedImageReader2 - read DICOM files with multiple threads\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkGDCMThreadedImageReader2 is a source object that reads some DICOM\nfiles This reader is threaded. Meaning that on a multiple core CPU\nwith N cpu, it will read approx N times faster than when reading in a\nsingle thread assuming the IO is not a bottleneck operation. If\nlooking for a single threaded class see: vtkGDCMImageReader\n\nWarning: Advanced users only. Do not use this class in the general ca",
    "se,:\n\nyou have to understand how physicaly medium works first (sequencial\nreading for instance) before playing with this class\n\nImplementation note: when FileLowerLeft is set to on the image is not flipped:\n\nupside down as VTK would expect, use this option only if you know\nwhat you are doing\n\nFIXME: need to implement the other mode where FileLowerLeft is set to OFF:\n\nFIXME: need to implement readi",
    "ng of series of 3D files:\n\nImplementation note: this class is meant to superseed vtkGDCMThreadedImageReader:\n\nbecause it had support for ProgressEvent support even from python\nlayer. There is a subtle trick down in the threading mechanism in VTK\nwere the main thread (talking to the python interpreter) is also part\nof the execution process (and the N-1 other thread are just there to\nexecute the rem",
    "aining of ThreadedRequestData), this separation into\ntwo types of thread is necessary to acheive a working implementation\nof UpdateProgress\n\nSee Also:\n\nvtkMedicalImageReader2 vtkMedicalImageProperties vtkGDCMImageReader\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkGDCMThreadedImageReader2(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkGDCMThreadedImageReader2New(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkGDCMThreadedImageReader2", o) != 0)
    {
    Py_DECREF(o);
    }

}

