// python wrapper for vtkImageRGBToYBR
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageRGBToYBR.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageRGBToYBR(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageRGBToYBR(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageRGBToYBRNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageRGBToYBRNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageRGBToYBR_Doc();


static PyObject *
PyvtkImageRGBToYBR_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageRGBToYBR *op = static_cast<vtkImageRGBToYBR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkImageRGBToYBR::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageRGBToYBR_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageRGBToYBR *op = static_cast<vtkImageRGBToYBR *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkImageRGBToYBR::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageRGBToYBR_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageRGBToYBR *op = static_cast<vtkImageRGBToYBR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageRGBToYBR *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkImageRGBToYBR::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageRGBToYBR_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkImageRGBToYBR *tempr = vtkImageRGBToYBR::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageRGBToYBR_Methods[] = {
  {(char*)"GetClassName", PyvtkImageRGBToYBR_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageRGBToYBR_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageRGBToYBR_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageRGBToYBR\nC++: vtkImageRGBToYBR *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageRGBToYBR_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageRGBToYBR\nC++: vtkImageRGBToYBR *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageRGBToYBR_StaticNew()
{
  return vtkImageRGBToYBR::New();
}

PyObject *PyVTKClass_vtkImageRGBToYBRNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageRGBToYBR_StaticNew,
    PyvtkImageRGBToYBR_Methods,
    "vtkImageRGBToYBR", modulename,
    NULL, NULL,
    PyvtkImageRGBToYBR_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageRGBToYBR_Doc()
{
  static const char *docstring[] = {
    "vtkImageRGBToYBR - Converts YBR components to RGB.\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "For each pixel with hue, saturation and value components this filter\noutputs the color coded as red, green, blue.  Output type must be the\nsame as input type.\n\nSee Also:\n\nvtkImageRGBToHSV\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageRGBToYBR(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageRGBToYBRNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageRGBToYBR", o) != 0)
    {
    Py_DECREF(o);
    }

}

