// python wrapper for vtkImageYBRToRGB
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageYBRToRGB.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageYBRToRGB(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageYBRToRGB(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageYBRToRGBNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageYBRToRGBNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageYBRToRGB_Doc();


static PyObject *
PyvtkImageYBRToRGB_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageYBRToRGB *op = static_cast<vtkImageYBRToRGB *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkImageYBRToRGB::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageYBRToRGB_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageYBRToRGB *op = static_cast<vtkImageYBRToRGB *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkImageYBRToRGB::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageYBRToRGB_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageYBRToRGB *op = static_cast<vtkImageYBRToRGB *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkImageYBRToRGB *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkImageYBRToRGB::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageYBRToRGB_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkImageYBRToRGB *tempr = vtkImageYBRToRGB::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageYBRToRGB_Methods[] = {
  {(char*)"GetClassName", PyvtkImageYBRToRGB_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageYBRToRGB_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageYBRToRGB_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageYBRToRGB\nC++: vtkImageYBRToRGB *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageYBRToRGB_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageYBRToRGB\nC++: vtkImageYBRToRGB *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageYBRToRGB_StaticNew()
{
  return vtkImageYBRToRGB::New();
}

PyObject *PyVTKClass_vtkImageYBRToRGBNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageYBRToRGB_StaticNew,
    PyvtkImageYBRToRGB_Methods,
    "vtkImageYBRToRGB", modulename,
    NULL, NULL,
    PyvtkImageYBRToRGB_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageYBRToRGB_Doc()
{
  static const char *docstring[] = {
    "vtkImageYBRToRGB - Converts YBR components to RGB.\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "For each pixel with hue, saturation and value components this filter\noutputs the color coded as red, green, blue.  Output type must be the\nsame as input type.\n\nSee Also:\n\nvtkImageRGBToHSV\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageYBRToRGB(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageYBRToRGBNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageYBRToRGB", o) != 0)
    {
    Py_DECREF(o);
    }

}

