// python wrapper for vtkLookupTable16
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkLookupTable16.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkLookupTable16(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkLookupTable16(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLookupTable16New(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLookupTable16New(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkLookupTableNew
extern "C" { PyObject *PyVTKClass_vtkLookupTableNew(const char *); }
#define DECLARED_PyVTKClass_vtkLookupTableNew
#endif

static const char **PyvtkLookupTable16_Doc();


static PyObject *
PyvtkLookupTable16_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLookupTable16 *op = static_cast<vtkLookupTable16 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkLookupTable16::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLookupTable16_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLookupTable16 *op = static_cast<vtkLookupTable16 *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkLookupTable16::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLookupTable16_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLookupTable16 *op = static_cast<vtkLookupTable16 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkLookupTable16 *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkLookupTable16::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkLookupTable16_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkLookupTable16 *tempr = vtkLookupTable16::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLookupTable16_Build(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Build");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLookupTable16 *op = static_cast<vtkLookupTable16 *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Build();
      }
    else
      {
      op->vtkLookupTable16::Build();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLookupTable16_SetNumberOfTableValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfTableValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLookupTable16 *op = static_cast<vtkLookupTable16 *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfTableValues(temp0);
      }
    else
      {
      op->vtkLookupTable16::SetNumberOfTableValues(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkLookupTable16_Methods[] = {
  {(char*)"GetClassName", PyvtkLookupTable16_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkLookupTable16_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkLookupTable16_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLookupTable16\nC++: vtkLookupTable16 *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkLookupTable16_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLookupTable16\nC++: vtkLookupTable16 *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Build", PyvtkLookupTable16_Build, 1,
   (char*)"V.Build()\nC++: void Build()\n\n"},
  {(char*)"SetNumberOfTableValues", PyvtkLookupTable16_SetNumberOfTableValues, 1,
   (char*)"V.SetNumberOfTableValues(int)\nC++: void SetNumberOfTableValues(vtkIdType number)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkLookupTable16_StaticNew()
{
  return vtkLookupTable16::New();
}

PyObject *PyVTKClass_vtkLookupTable16New(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkLookupTable16_StaticNew,
    PyvtkLookupTable16_Methods,
    "vtkLookupTable16", modulename,
    NULL, NULL,
    PyvtkLookupTable16_Doc(),
    PyVTKClass_vtkLookupTableNew(modulename));
  return cls;
}

const char **PyvtkLookupTable16_Doc()
{
  static const char *docstring[] = {
    "vtkLookupTable16 -\n\n",
    "Superclass: vtkLookupTable\n\n",
    "Caveats:\n\nSee Also:\n\nvtkLookupTable\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkLookupTable16(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkLookupTable16New(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkLookupTable16", o) != 0)
    {
    Py_DECREF(o);
    }

}

